<Project Sdk="Microsoft.NET.Sdk">
    <PropertyGroup>
        <Description>NPP.SmartSchedue接口库</Description>
        <Version>1.0.0</Version>
        <OpenApiGenerateDocuments>false</OpenApiGenerateDocuments>
        <TargetFramework>net9.0</TargetFramework>
        <GeneratePackageOnBuild>false</GeneratePackageOnBuild>
        <GenerateDocumentationFile>true</GenerateDocumentationFile>
        <DocumentationFile>$(MSBuildProjectName).xml</DocumentationFile>
        <IsPackable>true</IsPackable>
        <Authors>xiaoxue</Authors>
        <Company>zhontai</Company>
        <IncludeSymbols>true</IncludeSymbols>
        <SymbolPackageFormat>snupkg</SymbolPackageFormat>
        <PackageLicenseExpression>MIT</PackageLicenseExpression>
        <PackageProjectUrl>https://admin.zhontai.net</PackageProjectUrl>
        <RepositoryUrl>https://github.com/zhontai/Admin.Core</RepositoryUrl>
        <RepositoryType>git</RepositoryType>
        <PackageTags>ZhonTai Admin Api;MVC;WebApi;HttpApi;Api;</PackageTags>
        <NoWarn>1701;1702;1591;8632;SYSLIB0020;CS8002;NU1902;NU1903;NU1904;</NoWarn>
        <SignAssembly>true</SignAssembly>
        <DelaySign>false</DelaySign>
        <AssemblyOriginatorKeyFile>key.snk</AssemblyOriginatorKeyFile>
    </PropertyGroup>

    <ItemGroup>
        <Folder Include="Repositories\" />
    </ItemGroup>

    <ItemGroup>
        <FrameworkReference Include="Microsoft.AspNetCore.App" />
    </ItemGroup>

    <ItemGroup>
        <PackageReference Include="Google.OrTools" Version="9.14.6206" />
        <PackageReference Include="Microsoft.Extensions.Http.Polly" Version="9.0.6" />
        <PackageReference Include="Polly" Version="8.4.2" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\..\admin\ZhonTai.Admin.Contracts\ZhonTai.Admin.Contracts.csproj" />
        <ProjectReference Include="..\NPP.SmartSchedue.Api.Contracts\NPP.SmartSchedue.Api.Contracts.csproj" />
    </ItemGroup>
</Project>
